Summary:        A copy of GNOME 3.0's setting panel 'datetime'
Name:           libtimezonemap
Version:        0.4.5.2
Release:        7%{?dist}
License:        GPLv3
URL:            https://github.com/dashea/timezonemap
Source0:        https://github.com/dashea/timezonemap/archive/libtimezonemap-%{version}.tar.gz

Patch5000:      5000-Replace-timezone-Asia-Shanghai-with-Asia-Beijing.patch

BuildRequires:  glib2-devel >= 2.26, gtk3-devel >= 3.1.4, json-glib-devel, gobject-introspection-devel, gnome-common
BuildRequires:  librsvg2-devel, make, libsoup-devel >= 2.42.0

%description
This library is a copied version of the code in GNOME 3.0's control center 
panel 'datetime', which itself is a version of Ubiquity's map ported to C.

Ideally in the future, we can have all three packages using the same code.  
But for now, for time reasons (hah), it's just a copy.

To update this copy, put newer versions of the code and data files in place; 
then fix up any GTK3-isms and add cc_timezone_map_set_coords and friends.  
And the watermark.

%package devel
Summary:        Development files for libtimezonemap
Requires:       %{name} = %{version}-%{release}

%description devel
This library is a copied version of the code in GNOME 3.0's control center 
panel 'datetime', which itself is a version of Ubiquity's map ported to C.

This package contains header files used for building applications that use 
libtimezonemap.



%prep
%autosetup -n timezonemap-%{version} -p1



%build
./autogen.sh
%configure
%make_build



%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYING
%doc README TODO
%{_libdir}/libtimezonemap.so.*
%{_libdir}/girepository-1.0/TimezoneMap-1.0.typelib
%{_datadir}/%{name}

%files devel
%{_libdir}/libtimezonemap.so
%{_libdir}/pkgconfig/timezonemap.pc
%{_includedir}/timezonemap
%{_datadir}/gir-1.0/TimezoneMap-1.0.gir
%{_datadir}/glade/catalogs/TimezoneMap.xml



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.5.2-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.5.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 0.4.5.2-5
- Rebuilt for librsvg2 2.56.90

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.5.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.5.2-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.4.5.2-2
- Replace timezone Asia/Shanghai with Asia/Beijing

* Thu Sep 08 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.4.5.2-1
- Initial building
